Bug 138050 - FILEOPEN DOCX with text box opens modified
Summary: FILEOPEN DOCX with text box opens modified
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.2.0 target:7.1....
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: ModifiedStatus
  Show dependency treegraph
 
Reported: 2020-11-07 13:54 UTC by Aron Budea
Modified: 2021-01-05 14:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample DOCX (4.97 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-11-07 13:54 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2020-11-07 13:54:52 UTC
Created attachment 167078 [details]
Sample DOCX

The attached DOCX was saved from attachment 164345 [details] (bug 135796) in the current latest build of the 7.1 bibisect repo (see reproducer version below).
Open it in Writer.

=> The file opens modified.

Observed using LO 7.1.0.0.alpha1+ (a373a7c1705b9abc5551388998131dacc4698642) / Ubuntu.
The file opens unmodified in LO 7.0.0.3.
=> regression

Bibisected to the following commit using repo bibisect-linux-64-7.1. Adding CC: to Daniel Arato.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c9eb53f200225f2ee6ca695e1326843a487aee51
author		Daniel Arato (NISZ) <arato.daniel@nisz.hu>	2020-10-14 15:46:23 +0200
committer	László Németh <nemeth@numbertext.org>	2020-10-27 13:27:55 +0100

tdf#135198 sw editing: text box fell out of its shape
Comment 1 Dániel Arató (NISZ) 2020-11-09 11:31:13 UTC
(In reply to Aron Budea from comment #0)
> => The file opens modified.

Can you make a before/after comparison screenshot to show the bug and/or explain how to detect the fact that the file is modified during opening? Thank you!
Comment 2 Dániel Arató (NISZ) 2020-11-09 11:54:54 UTC
This issue should be solved by https://gerrit.libreoffice.org/c/core/+/105238 (waiting to be merged to master).

I applied the same change to the defective commit and the bug seems to go away.
Comment 3 Aron Budea 2020-11-10 08:42:40 UTC
Indeed, it's fine now with the patch applied, thanks Dániel!

Copying the commit notification here.

Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f2eef84ff03660cbb46a76c317e640e054ed0a56

tdf#137881 sw: fix text box size regression

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-11-26 13:43:01 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/59fec754a1523eede0f19a59e4eeeff593a4d688

tdf#135198 tdf#138050 sw editing: fix text box position sync

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-11-26 15:40:22 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/cc04f0b6ff5a5e35cfc9dea1a98ea27b0efe6d5d

tdf#135198 tdf#138050 sw editing: fix text box position sync

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2021-01-05 14:21:05 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 368c56144aab5794c39d5bc2082d9b3d6d7cebdb
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks for fixing!